Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 6.1.0
    • Fix Version/s: 6.2.0
    • Component/s: PKI
    • Labels:
      None
    • Account:
      Innovation 2019 (INNOVATION2019)

      Description

      Some PEM formats are not supported by the old bouncycastle module 1.46. As exemple an 1024 RSA private key protected by a password has the header "-----BEGIN ENCRYPTED PRIVATE KEY-----
      " the PEMreader return null for such files.

      Bouncycastle must be updated. Warning : a lots of bouncycastle API has changed !
      see : http://bouncycastle.org/wiki/display/JA1/Porting+from+earlier+BC+releases+to+1.47+and+later

      This update is now required by ATNA evolutions for BCP195

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                ceoche Cédric EOCHE-DUVAL
                Reporter:
                ceoche Cédric EOCHE-DUVAL
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Due:
                  Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 3 days Original Estimate - 3 days
                  3d
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 6 weeks, 4 days, 6 hours
                  6w 4d 6h

                    Potential Duplicates